import { jsx } from "react/jsx-runtime";
import { TokenLCX as TokenLCX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenLCX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "LCX", "data-name": "TokenLCX", ...props, children: /* @__PURE__ */ jsx(TokenLCX$1, { variant }) });
  }
);
TokenLCX.displayName = "TokenLCX";
Object.assign(TokenLCX, { isGdsIcon: true });
export {
  TokenLCX
};
